<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Forms, Tables and Semantics</title>
</head>
<body>

	<!-- div creates a container element to be used to group HTML elements -->
<header>
<h1>HTML Tables and Forms</h1>
</header>

<main>
		<section>
		<h2>HTML Entities</h2>
	<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code)</em></p>

	<!-- Defines a table row -->
	<table border="1">
		<!-- Define a table header to group header content  -->
		<thead align="center">
			<tr>
				<th>Entity</th>
				<th colspan="2">Description</th>
			</tr>
		</thead>
		<tbody align="center">
			<!-- Contains the rest of the content of the table -->
			<tr>
				<!-- td defines the table data element -->
				<td>&lt;</td>
				<td>lt</td>
				<td>less than</td>
			</tr>
			<tr>
				<td>&gt;</td>
				<td>gt</td>
				<td>greater than</td>

			</tr>
			<tr>
				<td>&#8369</td>
				<td>#8369</td>
				<td>Peso Sign</td>
			</tr>
			<tr>
				<td>&amp;</td>
				<td>amp</td>
				<td>Ampersand</td>
			</tr>
			<tr>
				<td>&quot;</td>
				<td>quot</td>
				<td>Double quotation mark</td>
			</tr>
			<tr>
				<td>&apos;</td>
				<td>apos</td>
				<td>Single quotation mark (apostrophe)</td>
			</tr>
			<tr>
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>Lower tilde</td>
			</tr>
			<tr>
				<td>&Ntilde;</td>
				<td>Ntilde</td>
				<td>Upper tilde</td>
			</tr>
		</tbody>
		<tfoot>
			<tr>
				<th colspan="3">
					List of HTML Entities
				</th>
			</tr>
		</tfoot>
	</table>
		</section>

		<section>
			<h2> HTML Forms</h2>

			<p><em>Input elements that make up a form.</em></p>

			<form action="https://google.com">
				<!-- Label creates a label and allows for input field selection when clicked -->
				<label for="full_name">Full Name:</label><br>
				<input type="text" name="full_name" id="full_name"required autocomplete><br>
				<label for="birth_date">Birth Date:</label><br>
				<input type="date" name="birth_date" id="birth_date" min="01/01/1900" required><br>
				<label for="age">Age:</label><br>
				<input type="number" name="age" id="age" min="0" max="150"><br>
				<label for="gender">Gender:</label><br>

				<!-- Creates a dropdown menu -->
				<select name="gender" id="gender">
					<option value="Male">Male</option>
					<option value="Female">Female</option>
				</select><br>
				<label for="notes">Notes:</label><br>
				<textarea name="notes" id="notes" rows="5"></textarea>
				<br><br>

				<!-- Radio buttons -->
				<label>New User:</label><br>
				<input type="radio" name="new_user" id="user-type1" value="yes">
				<label for="user-type1">Yes</label>
				<input type="radio" name="new_user" id="user-type2">
				<label type="radio name="new_user" id="user-type2">No</label><br><br>

				<!-- Checkboxes -->
				<label>Role:</label><br>

				<!-- Creates checkboxes for multiple choices -->
				<input type="checkbox" name="role1" id="role1" value="developer">
				<label for="role1">Developer</label><br>

				<input type="checkbox" name="role2" id="role2" value="student">
				<label for="role2">Student</label><br>

				<input type="checkbox" name="role3" id="role3" value="manager">
				<label for="role3">Manager</label><br>


				<br>
				<button type="submit">Submit</button><br>
				<!-- Creates a button to reset the form data -->
				<button type="reset">Reset</button>
				
			</form>
		</section>



</main>
</body>
</html>